Bug 1174713 - (CVE-2020-16135) VUL-1: CVE-2020-16135: libssh: NULL pointer dereference in sftpserver.c
(CVE-2020-16135)
VUL-1: CVE-2020-16135: libssh: NULL pointer dereference in sftpserver.c
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: James McDonough
Security Team bot
https://smash.suse.de/issue/264527/
CVSSv3.1:SUSE:CVE-2020-16135:5.9:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-30 08:14 UTC by Wolfgang Frisch
Modified: 2022-05-25 19:17 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Wolfgang Frisch 2020-07-30 08:28:35 UTC
It is currently unknown if or how this bug is exploitable. There are several other missing return checks fixed by upstream that could be applied:
https://gitlab.com/libssh/libssh-mirror/-/merge_requests/120

Missing return checks are found in:

SUSE:SLE-12:Update     [1]
SUSE:SLE-12-SP5:Update
SUSE:SLE-15:Update
SUSE:SLE-15-SP1:Update

[1] Different implementation that nevertheless lacks NULL pointer checks.
Comment 2 OBSbugzilla Bot 2020-09-21 20:00:08 UTC
This is an autogenerated message for OBS integration:
This bug (1174713) was mentioned in
https://build.opensuse.org/request/show/835910 Factory / libssh
Comment 5 James McDonough 2022-05-25 19:17:54 UTC
fixed